ulong is_image = () {
                      ulong flag = 0;

                      without (flag)
                      {
                        if (...) _ = 1;
                        if (...) _ = 1;
                        if (...) _ = 1;
                      }

                      return flag;
                    };
